######################################################################
#
# $Id: Properties.pm,v 1.3 2008/05/19 14:45:43 mavrik Exp $
#
######################################################################
#
# Copyright 2007-2008 The WebJob Project, All Rights Reserved.
#
######################################################################
#
# Purpose: Global WebJob Properties.
#
######################################################################

package WebJob::Properties;

require Exporter;

use 5.008;
use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

@EXPORT = qw(PropertiesGetGlobalRegexes);
@EXPORT_OK = ();
@ISA = qw(Exporter);
$VERSION = do { my @r = (q$Revision: 1.3 $ =~ /(\d+)/g); sprintf("%d."."%03d" x $#r, @r); };

######################################################################
#
# WebJob-specific variables.
#
######################################################################

my %hGlobalRegexes =
(
  'ClientId' => qq((?:[A-Za-z](?:(?:[0-9A-Za-z]|[_-](?=[^.]))){0,62})(?:[.][A-Za-z](?:(?:[0-9A-Za-z]|[_-](?=[^.]))){0,62}){0,127}),
);

######################################################################
#
# PropertiesGetGlobalRegexes
#
######################################################################

sub PropertiesGetGlobalRegexes
{
  return \%hGlobalRegexes;
}

1;

__END__

=head1 NAME

WebJob::Properties - Global WebJob Properties

=head1 SYNOPSIS

    use WebJob::Properties;

    my $phGlobalRegexes = PropertiesGetGlobalRegexes();

=head1 DESCRIPTION

This module contains a collection of properties commonly used by
various WebJob server-side utilities (e.g., regular expressions).

=head1 AUTHOR

Klayton Monroe

=head1 LICENSE

All documentation and code are distributed under same terms and
conditions as B<WebJob>.

=cut
