/*
 ***********************************************************************
 *
 * $Id: dsv-pool.h,v 1.3 2008/12/01 02:00:04 mavrik Exp $
 *
 ***********************************************************************
 *
 * Copyright 2008-2008 The WebJob Project, All Rights Reserved.
 *
 ***********************************************************************
 */
#ifndef _DSV_POOL_H_INCLUDED
#define _DSV_POOL_H_INCLUDED

/*
 ***********************************************************************
 *
 * Defines
 *
 ***********************************************************************
 */
#define DSV_POOL_SEED 0x00000000
#define DSV_POOL_SIZE 0x00008000
#define DSV_POOL_TAPS (0) + (1)

/*
 ***********************************************************************
 *
 * Macros
 *
 ***********************************************************************
 */
#define DSV_NEW_POOL(aucPool, iLength, ulState)\
{\
  int i, j;\
  unsigned long ul = ulState;\
  for (i = 0; i < iLength; i++)\
  {\
    for (j = 0, aucPool[i] = 0; j < 8; j++)\
    {\
      aucPool[i] |= (ul & 1) << j;\
      ul = ((((ul >> 7) ^ (ul >> 6) ^ (ul >> 2) ^ (ul >> 0)) & 1) << 31) | (ul >> 1);\
    }\
  }\
}

#define DSV_TAP_POOL(aucTaps, aucPool)\
{\
  aucTaps[0] = 0;\
}

#endif /* !_DSV_POOL_H_INCLUDED */
