/*-
 ***********************************************************************
 *
 * $Id: webjob-dsvtool.h,v 1.5 2008/12/01 02:00:04 mavrik Exp $
 *
 ***********************************************************************
 *
 * Copyright 2006-2008 The WebJob Project, All Rights Reserved.
 *
 ***********************************************************************
 */
#ifndef _WEBJOB_DSVTOOL_H_INCLUDED
#define _WEBJOB_DSVTOOL_H_INCLUDED

/*-
 ***********************************************************************
 *
 * Defines
 *
 ***********************************************************************
 */
#define PROGRAM_NAME "webjob-dsvtool"
#define VERSION "1.0.1"

#define ER -1
#define ER_OK 0
#define ER_SignatureVerificationFailed 5

#define XER_OK 0
#define XER_Usage 1
#define XER_BootStrap 2
#define XER_ProcessArguments 3
#define XER_PayloadSigningError 4
#define XER_SignatureVerificationFailed 5
#define XER_SignatureVerificationError 6
#define XER_RunMode 7
#define XER_Shutdown 8

#define DSV_SIGN   0x00000001
#define DSV_VERIFY 0x00000002

#define DSV_VERIFY_VIA_FILE 0x00000001
#define DSV_VERIFY_VIA_TREE 0x00000002

/*-
 ***********************************************************************
 *
 * Typedefs
 *
 ***********************************************************************
 */
typedef struct _DSV_PROPERTIES
{
  char               *pcCertFile;
  char               *pcCertTree;
  char               *pcKeyFile;
  char               *pcPayload;
  char               *pcSigFile;
  char              **ppcPayloadVector;
  DSV_CERT_NODE      *psCertList;
  int                 iPayloadCount;
  int                 iRunMode;
  int                 iVerifyMode;
} DSV_PROPERTIES;

/*-
 ***********************************************************************
 *
 * Function Prototypes
 *
 ***********************************************************************
 */
int                 DsvBootStrap(char *pcError);
void                DsvFreeProperties(DSV_PROPERTIES *psProperties);
DSV_PROPERTIES     *DsvGetPropertiesReference(void);
DSV_PROPERTIES     *DsvNewProperties(char *pcError);
int                 DsvProcessArguments(int iArgumentCount, char *ppcArgumentVector[], DSV_PROPERTIES *psProperties, char *pcError);
void                DsvSetPropertiesReference(DSV_PROPERTIES *psProperties);
void                DsvShutdown(int iError);
int                 DsvSign(DSV_PROPERTIES *psProperties, char *pcError);
void                DsvUsage(void);
int                 DsvVerify(DSV_PROPERTIES *psProperties, char *pcError);
void                DsvVersion(void);
int                 DsvWorkHorse(DSV_PROPERTIES *psProperties, char *pcError);

#endif /* !_WEBJOB_DSVTOOL_H_INCLUDED */
